#include <iostream>
#include <stdio.h>
using namespace std;
void unos(int x[],int y[],int n)
{
    x[0]=0;
    y[0]=0;
    y[1]=0;
    for(int i=1;i<=n;i++){
        scanf("%d",&x[i]);
        if(x[i]<x[i-1])
            y[i]=y[i-1]+1;
            else
                y[i]=y[i-1];
            }

}
bool moze(int y[],int p,int q)
{
    if(y[q]-y[p]>=2)
        return false;
    else
        return true;
}
int main()
{
    int A[200000],y[200000],n,q,li,ri;
    scanf("%d",&n);
    unos(A,y,n);
    scanf("%d",&q);
    for(int i=0;i<q;i++)
    {
        scanf("%d%d",&li,&ri);
        if(moze(y,li,ri))
            cout<<"DA\n";
        else
            cout<<"NE\n";
    }
    return 0;
}